Page MenuHomePhabricator

High resolution equations for printing, Retina displays (hi-dpi)
Closed, ResolvedPublic

Description

Author: fredrik.orderud

Description:
Math formulas in printed articles does not look good, since they are rasterized
for screen rendering (~100DPI), which is far coarser compared to printers (>300DPI).

Would it be possible to generate equations of higher resolution in the
"printable version" of wiki-articles?


Version: unspecified
Severity: enhancement

Details

Reference
bz3840

Related Objects

StatusAssignedTask
ResolvedNone
OpenNone
OpenNone
ResolvedNone
ResolvedNone
InvalidNone
ResolvedPhysikerwelt
ResolvedReedy
ResolvedNone
Declinedbrion
InvalidNone
DeclinedNone
ResolvedNone
Resolvedbrion
Resolvedbrion
Resolvedbrion
ResolvedNone
ResolvedNone
InvalidNone
DeclinedPhysikerwelt
DeclinedPhysikerwelt
DeclinedPhysikerwelt
DeclinedPhysikerwelt
ResolvedNone
InvalidNone
ResolvedNone
ResolvedNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 8:53 PM
bzimport added a project: Math.
bzimport set Reference to bz3840.
bzimport added a subscriber: Unknown Object (MLST).

gangleri wrote:

see
bug 474: Include a PDF button to articles pages ...
bug 3751: Render articles to PDF

With higher-resolution images rendered for high-res displays (bug 32696) we can trigger them in on the print stylesheet as well as for the density media queries (bug 32697).

Replacing dep on bug 32696 (render high-res math images) with bug 32697 (use MathJax). It produces scalable output which is even nicer!

I corrected again the dep, MathJax should be bug 31406.

  • Bug 44672 has been marked as a duplicate of this bug. ***

Reopening bug 32696 and adding it back; it may be easier to set up the multiple-resolution output with texvc than to get MathJax fully ready to be the default. Particularly for printing, there are problems with MathJax. :(

Pkra added a comment.Apr 23 2013, 3:26 PM

What kind of problems are you having with MathJax? We're aware of one bug on our side (https://github.com/mathjax/MathJax/issues/386) which will be fixed with the upcoming 2.2 release.

physik wrote:

"This bug looks to tweak the size of the images produced by texvc. I think this should simply be a WONTFIX. While it may look nice on his browser, at some scale. The real issue is to get the fonts of the math and the surrounding text to match. That would be a lot f work to make texvc do something like that. Mathml/Mathjax are better suited to these tasks."
^^ I agree with the comment from https://www.mediawiki.org/w/index.php?title=Extension:Math/Roadmap&oldid=901564

physik wrote:

(In reply to comment #9)

"This bug looks to tweak the size of the images produced by texvc. I think
this
should simply be a WONTFIX. While it may look nice on his browser, at some
scale. The real issue is to get the fonts of the math and the surrounding
text
to match. That would be a lot f work to make texvc do something like that.
Mathml/Mathjax are better suited to these tasks."
^^ I agree with the comment from
https://www.mediawiki.org/w/index.php?title=Extension:Math/
Roadmap&oldid=901564

... sorry wrong bug

Meno25 removed a subscriber: Meno25.Oct 3 2016, 4:58 PM